#
# This script is part of Jelie.
# 
# it has to be called with the following arguments:
#
# filename address_in_flash number_of_words
#
# filename: complete file name. If not valid, the script will fail.
#
# address_in_flash: hexadecimal address beteween 0 and 1 MB
#
# number_of_words: size of the file to write, in 16 bits words units.
# Equivalent to the size of the file divided by 2.

# load the remote program
load flash/flash.bin

# load data to write
load \1 a1000000

# set destination address
register 0 \2

# where the data is stored (@16MB)
register 1 a1000000

# number of words to write
register 2 \3

# FP = 0
register 11 0

# IP = 0
register 12 0

# SP = 0xA0000000 + 12 MB
register 13 a0c00000

# LR = _endless
register 14 $_endless$

# PC = erase_and_program
register 15 $erase_and_program$

continue
